summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuis Ressel <aranea@aixah.de>2016-03-07 00:08:21 +0100
committerWilliam Hubbs <williamh@gentoo.org>2016-03-19 18:12:04 -0500
commit67f04c78a3188a99bacb63e6cc261d67971b1888 (patch)
treef953a598ad71354fe559b16720e96f3dffd4468c /sys-apps/s6-rc
parentsys-kernel/gentoo-sources: Clean anup of 3.14.X (diff)
downloadgentoo-67f04c78a3188a99bacb63e6cc261d67971b1888.tar.gz
gentoo-67f04c78a3188a99bacb63e6cc261d67971b1888.tar.bz2
gentoo-67f04c78a3188a99bacb63e6cc261d67971b1888.zip
sys-apps/s6-rc: New package
s6-rc is a service manager based on the sys-apps/s6 supervision suite.
Diffstat (limited to 'sys-apps/s6-rc')
-rw-r--r--sys-apps/s6-rc/Manifest1
-rw-r--r--sys-apps/s6-rc/metadata.xml13
-rw-r--r--sys-apps/s6-rc/s6-rc-0.0.2.1.ebuild61
3 files changed, 75 insertions, 0 deletions
diff --git a/sys-apps/s6-rc/Manifest b/sys-apps/s6-rc/Manifest
new file mode 100644
index 00000000000..bdda592a3fc
--- /dev/null
+++ b/sys-apps/s6-rc/Manifest
@@ -0,0 +1 @@
+DIST s6-rc-0.0.2.1.tar.gz 85549 SHA256 93f30557e2e2e5c507b5becef2bd26f377be6b6c542fb4627c3122e1c2d83ef9 SHA512 9a83e272ba521e5ede17ded6b6143797d70205c6631fd08bdb9cbefc66e8ab6011de68e94876ec3c7af439ffbff21778207507db74f0ae91117e88fe36a7f65c WHIRLPOOL f10e515db0106816fb3c79c46dea0f171ac89653f326b9287aeccb1a9cc369fb6e6fec40c43eb3c3863763081608ec7cccf780cb8bcaaee7303e6c5d106c082d
diff --git a/sys-apps/s6-rc/metadata.xml b/sys-apps/s6-rc/metadata.xml
new file mode 100644
index 00000000000..7ac867bbd03
--- /dev/null
+++ b/sys-apps/s6-rc/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>aranea@aixah.de</email>
+ <name>Luis Ressel</name>
+ <description>Proxied maintainer; set to assignee in all bugs</description>
+ </maintainer>
+ <maintainer type="person">
+ <email>williamh@gentoo.org</email>
+ <name>William Hubbs</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sys-apps/s6-rc/s6-rc-0.0.2.1.ebuild b/sys-apps/s6-rc/s6-rc-0.0.2.1.ebuild
new file mode 100644
index 00000000000..0a0e0d0a0a1
--- /dev/null
+++ b/sys-apps/s6-rc/s6-rc-0.0.2.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Service manager for the s6 supervision suite"
+HOMEPAGE="http://www.skarnet.org/software/s6-rc/"
+SRC_URI="http://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static static-libs"
+
+DEPEND="
+ static? (
+ >=dev-lang/execline-2.1.4.5[static-libs]
+ >=dev-libs/skalibs-2.3.8.3[static-libs]
+ >=sys-apps/s6-2.2.4.2[static-libs]
+ )
+ !static? (
+ >=dev-lang/execline-2.1.4.5
+ >=dev-libs/skalibs-2.3.8.3
+ >=sys-apps/s6-2.2.4.2
+ )
+ "
+RDEPEND="
+ !static? (
+ >=dev-lang/execline-2.1.4.5
+ >=dev-libs/skalibs-2.3.8.3
+ >=sys-apps/s6-2.2.4.2
+ )
+ "
+
+DOCS=("examples/")
+HTML_DOCS=("doc/.")
+
+src_prepare()
+{
+ # Remove QA warning about LDFLAGS addition
+ sed -i "s~tryldflag LDFLAGS_AUTO -Wl,--hash-style=both~:~" "${S}/configure" || die
+
+ eapply_user
+}
+
+src_configure()
+{
+ econf \
+ $(use_enable !static shared) \
+ $(use_enable static-libs static) \
+ $(use_enable static allstatic) \
+ --bindir=/bin \
+ --sbindir=/sbin \
+ --dynlibdir=/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --datadir=/etc \
+ --sysdepdir=/usr/$(get_libdir)/${PN} \
+ --with-dynlib=/$(get_libdir) \
+ --with-sysdeps=/usr/$(get_libdir)/skalibs
+}